Google Web Toolkit
Search Google Code:

# Class VerticalSplitPanel

public final class VerticalSplitPanel
extends SplitPanel
A panel that arranges two widgets in a single vertical column and allows the user to interactively change the proportion of the height dedicated to each of the two widgets. Widgets contained within a `VerticalSplitterPanel` will be automatically decorated with scrollbars when necessary.

### CSS Style Rules

- .gwt-VerticalSplitPanel { the panel itself }
- .gwt-VerticalSplitPanel vsplitter { the splitter }

## Constructors

VerticalSplitPanel() |
VerticalSplitPanel(VerticalSplitPanelImages) | Creates an empty vertical split panel.

## Methods

getBottomWidget() | Gets the widget in the bottom of the panel.
getTopWidget() | Gets the widget in the top of the panel.
onLoad() | A Panel's onLoad method will be called after all of its children are attached.
onUnload() | A Panel's onUnload method will be called before its children become detached themselves.
setBottomWidget(Widget) | Sets the widget in the bottom of the panel.
setHeight(String) | Sets the object's height.
setSplitPosition(String) | Moves the position of the splitter.
setTopWidget(Widget) | Sets the widget in the top of the panel.

## Constructor Detail

### VerticalSplitPanel

public VerticalSplitPanel()

### VerticalSplitPanel

public VerticalSplitPanel(VerticalSplitPanelImages images)
Creates an empty vertical split panel.

#### Parameters

images

## Method Detail

### getBottomWidget

public final Widget getBottomWidget()
Gets the widget in the bottom of the panel.

#### Return Value

the widget, `null` if there is not one

### getTopWidget

public final Widget getTopWidget()
Gets the widget in the top of the panel.

#### Return Value

the widget, `null` if there is not one

### onLoad

protected void onLoad()
A Panel's onLoad method will be called after all of its children are attached.

#### See Also

Widget.onLoad()

### onUnload

protected void onUnload()
A Panel's onUnload method will be called before its children become detached themselves.

#### See Also

Widget.onLoad()

### setBottomWidget

public final void setBottomWidget(Widget w)
Sets the widget in the bottom of the panel.

#### Parameters

w
  the widget

### setHeight

public void setHeight(String height)
Sets the object's height. This height does not include decorations such as border, margin, and padding.

#### Parameters

height
  the object's new height, in CSS units (e.g. "10px", "1em")

### setSplitPosition

public abstract void setSplitPosition(String size)
Moves the position of the splitter.

#### Parameters

size
  the new size of the left region in CSS units (e.g. "10px", "1em")

### setTopWidget

public final void setTopWidget(Widget w)
Sets the widget in the top of the panel.

#### Parameters

w
  the widget